#include <bits/stdc++.h>
#define pii pair<int,int>  
#define x first
#define y second 
using namespace std;

vector<pii> v;
vector<int> redom;   

long long Resi(int N, int *A, int *B)
{
    for(int i=0;i<N;i++) v.push_back({A[i],i}); 
    sort(v.begin(),v.end()); 
    for(int i=0;i<v.size();i++) redom.push_back(v[i].y);  
    long long res=0; 
    int sad=0;   
    //update(b[redom[0]],1); 
    for(int i=1;i<redom.end();i++) 
    {  
        int brv=0; 
        for(int j=0;j<i;j++) brv+=B[j]>B[i]; 
        res+=min(brv,i-1-brv); 
    }
    return res; 
}